  
/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.common.builder.entity;

// Java Classes

// Library Classes

// Framework Classes

// Common Classes
import gov.va.med.esr.common.model.person.Person;

// Messaging Classes

/**
 * @author Martin Francisco
 */
public interface PersonMetaData
{
    public Person getEntity();

    public void setEntity(Person entity);

    public BirthRecordMetaData getBirthRecord();

    public DeathRecordMetaData getDeathRecord();

    public String getGender();

    public String getMaritalStatus();

    public NameMetaData[] getNames();

    public String getNationalICN();

    public String getPreferredFacility();

    public String getRace();

    public String getVeteran();
    
    public String getWasPrisonerOfWar();
    
    public SSNMetaData[] getSsns(); 
    
    public String getAppointmentRequestOn1010EZ();
    
    public String getAppointmentRequestDate();
    
    public String getEmergencyResponseType();
    
    public NameMetaData getMotherName();

    public NameMetaData getFatherName();
 
    public RaceMetaData[] getRaces();

    public EthnicityMetaData getEthnicity();

    public String getReligion();

    public String getMothersMaidenName();

}